Subject: Re: [PB] "no acceptable ld" : cywin32 pb, way to handle win path ?
From: "Gary V. Vaughan" <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: cygwin <[email-masked]>, Libtool List <[email-masked]>
Date: Tue, 23 Feb 1999 16:53:19 +0000

Mumit Khan wrote:
> 
> "Gary V. Vaughan" <[email-masked]> writes:
> > "Suhaib M. Siddiqi" wrote:
> > >
> > > If I remember correctly; Geoffrey Noer mentioned last month, that it was
> > > a Cgywin issue not automake.  Perhaps the problem will be fixed in the
> > > next release of Cygwin.
> > >
> > > Suhaib
> >
> > Yes,  the root of the problem is that 'gcc --print-prog-path=ld' gives a
> > win32 path (under cygwin), and I think it is this that the cygwin folks
> > plan to fix.
> 
> EGCS-1.1.1 (from my site) produce forward slashes, albeit with a drive
> specifier. EGCS-1.1.2 will do the same, and the changes are now in the
> dev branch. Does this still pose a problem for libtool (other than the
> issue of executable file extensions, which I believe you've fixed
> already)?
> 
> I've lobbied unsuccessfully to get GCC et al to use POSIX-only pathnames.
> The only rationale for using the current scheme is if GCC execs a native
> program, but currently that's not the case and will not be in the near
> foreseeable future.
> 
> Regards,
> Mumit

Not a problem as such, just a change.  The current libtool converts to
UNC paths which I understand are no longer supported in winsup
snapshots, so I need to rejig the code a bit more.

The main problem is that libtool is trying to support b18->b20.2, and
the only way to do that with a single mechanism is to convert to
<drive>:/forward/slash/separated/path/to/ld and hope that all the other
tools in the chain (for all supported versions of cygwin) will
understand the <drive>: part of the path.

Cheers,
	Gary.

--
Want to unsubscribe from this list?
Send a message to [email-masked]